# $Revision: 1.22 $, $Date: 2011/01/23 01:22:28 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	HTML_Common2
Summary:	%{_pearname} - abstract base class for HTML classes (PHP5 port of HTML_Common package)
Summary(pl.UTF-8):	%{_pearname} - podstawowa klasa dla klas HTML (port pakietu HTML_Common dla PHP5)
Name:		php-pear-%{_pearname}
Version:	2.0.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	cd4a6ed84ac10c10f747b772b13bbc62
URL:		http://pear.php.net/package/HTML_Common2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:5.0.0
Requires:	php-pear >= 3:5.0.0
Obsoletes:	php-pear-HTML_Common2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTML_Common2 package provides methods for HTML code display and
attributes handling.
- Methods to set, remove, update HTML attributes,
- Handles comments in HTML code.
- Handles global document options (encoding, linebreak and indentation
  characters),
- Handles indentation for nicer HTML code.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet HTML_Common2 zawiera metody do wyświetlania kodu HTML i obróbki
atrybutów.
- Metody do ustawiania, usuwania i aktualizacji atrybutów HTML,
- Obsługuje komentarze w kodzie HTML,
- Obsługuje opcje globalne dokumentu (kodowanie, znaki końca linii i
  wcięcia),
- Obsługuje wcięcia dla ładniejszego wyglądu kodu HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Common2.spec,v $
Revision 1.22  2011/01/23 01:22:28  sparky
- tests are no longer installed - don't try to remove them

Revision 1.21  2010/11/16 14:44:57  glen
- up to 2.0.0-stable

Revision 1.20  2010/08/24 13:58:26  glen
- solve:
  error: php-pear-HTML_QuickForm2-0.4.0-2: req php-pear-HTML_Common2 >= 2.0.0-0.beta1 not found
  $ rpmvercmp 2.0.0-0.beta1 2.0.0-0.RC1.1
  2.0.0-0.beta1 > 2.0.0-0.RC1.1

Revision 1.19  2010/08/19 13:44:01  glen
- up to 2.0.0RC1-beta

Revision 1.18  2008/01/31 12:16:06  glen
- rel 2

Revision 1.17  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.15  2006/12/30 10:16:19  adamg
- updated to 0.3.0

Revision 1.14  2006/07/04 13:28:29  adamg
- updated to 0.2.0

Revision 1.13  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.12  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.11  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.10  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.9  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.8  2005/10/05 20:11:06  glen
- rel 3

Revision 1.7  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.6  2005/09/22 22:00:34  glen
- new pear packaging

Revision 1.5  2004/12/03 22:12:55  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.4  2004/10/30 10:50:16  qboosh
- typo

Revision 1.3  2004/10/30 07:59:38  ankry
- capitalization and pl fixes

Revision 1.2  2004/10/30 07:08:29  adamg
- fixed URL
- cosmetics in pl/en description (s/html/HTML/, commas instead of dots)
- more strict requires (PHP5)

Revision 1.1  2004/10/30 07:00:36  adamg
- new
